class UsersController < ApplicationController


  helper :sort
  include SortHelper
 
  def index
    
    sort_init 'id'
    sort_update
    @query = params[:query]
    @field = %w(username skype).detect{|f| f == (params[:field])}
    if @query && @query.strip.length > 0 && @field
      conditions = ["#{@field}  LIKE?", '%'+@query+'%']
    else
      conditions = nil
    end
  
  @users = User.paginate(:page => params[:page],:per_page => 20, :order => "updated_at DESC",  :conditions => conditions)  
        
  end

  def show
    @user = User.find(params[:id])
    @micropost = Micropost.new if user_signed_in?
    @microposts = @user.microposts.paginate(:page => params[:page],:per_page => 15)
    @title = @user.username
    @call = "skype:#{@user.skype}?call"
    @image = "http://mystatus.skype.com/smallclassic/#{@user.skype}"
  end
  
  def edit
    @user = current_user
    @nl = @user.languages
    @languages = Language.all
  end

  def update
    @user = User.find(params[:id])
    respond_to do |format|
      if @user.update_attributes(params[:user])
        format.html { redirect_to(@user, :notice => 'Your Account was successfully updated.') }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @user.errors, :status => :unprocessable_entity }
      end
    end
  end

 

  def destroy
  end

 def following
    @title = "Following"
    @user = User.find(params[:id])
    @users = @user.following.paginate(:page => params[:page])
    render 'show_follow'
  end

  def followers
    @title = "Followers"
    @user = User.find(params[:id])
    @users = @user.followers.paginate(:page => params[:page])
    render 'show_follow'
  end

end
