RedSocial::Application.routes.draw do

  devise_for :users

  resources :users do
    member do
      get :following, :followers
    end
  end
  
  resources :microposts,:only => [:create, :destroy]
  resources :relationships, :only => [:create, :destroy]

  get "users/index"

  get "users/show"

  get "users/edit"

  get "users/update"

  get "red_social/index"

  get "home/index"

  resources :memberships
  resources :groups

  match '/groups/:group_id/users/new' => 'memberships#new', :as =>:new_group_user

  match 'groups/:group_id/users/destroy/:id' => 'memberships#destroy', :as => :destroy_group_user

  match '/groups/add_comment' => 'groups#add_comment'


   # You can have the root of your site routed with "root"
   # just remember to delete public/index.html.
   root :to => 'home#index' #, :as => 'red_social'
   # root :to => 'red_social#index', :as => 'red_social'
 
   match 'red_social' => 'pages#show', :as => 'user_root'
   
   match 'dashboard' => 'pages#show'
   match 'friends' => 'friends#friend'
   match 'account' => 'users#edit'
  

  # The priority is based upon order of creation:
  # first created -> highest priority.

  # Sample of regular route:
  #   match 'products/:id' => 'catalog#view'
  # Keep in mind you can assign values other than :controller and :action

  # Sample of named route:
  #   match 'products/:id/purchase' => 'catalog#purchase', :as => :purchase
  # This route can be invoked with purchase_url(:id => product.id)

  # Sample resource route (maps HTTP verbs to controller actions automatically):
  #   resources :products

  # Sample resource route with options:
  #   resources :products do
  #     member do
  #       get 'short'
  #       post 'toggle'
  #     end
  #
  #     collection do
  #       get 'sold'
  #     end
  #   end

  # Sample resource route with sub-resources:
  #   resources :products do
  #     resources :comments, :sales
  #     resource :seller
  #   end

  # Sample resource route with more complex sub-resources
  #   resources :products do
  #     resources :comments
  #     resources :sales do
  #       get 'recent', :on => :collection
  #     end
  #   end

  # Sample resource route within a namespace:
  #   namespace :admin do
  #     # Directs /admin/products/* to Admin::ProductsController
  #     # (app/controllers/admin/products_controller.rb)
  #     resources :products
  #   end

  # See how all your routes lay out with "rake routes"

  # This is a legacy wild controller route that's not recommended for RESTful applications.
  # Note: This route will make all actions in every controller accessible via GET requests.
  # match ':controller(/:action(/:id(.:format)))'
 
end
